Subject: bug#31598: closed (Re: bug#31598: Check for initrd-modules fails to detect when loaded module and on-disk module filename differ)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Jun 2018 21:39:02 +0000

Your bug report

#31598: Check for initrd-modules fails to detect when loaded module and on-disk module filename differ

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31598: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31598
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31598: Check for initrd-modules fails to detect when loaded module and on-disk module filename differ
From: [email-masked] (Ludovic Courtès)
To: Vagrant Cascadian <[email-masked]>, <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Jun 2018 23:38:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Vagrant & Florian,

Vagrant Cascadian <[email-masked]> skribis:

> In my config:
>
>   (initrd-modules (append (list ... "sdhci-of-arasan" ... ) %base-initrd-modules))
>
>
> When I run:
>
>   $ sudo -E guix system reconfigure /etc/config.scm
>
>   <unknown location>: error: you may need these modules in the initrd for /dev/mmcblk1p1: sdhci_of_arasan
>   hint: Try adding them to the `initrd-modules' field of your `operating-system' declaration, along these
>   lines:
>
>         (operating-system
>           ;; ...
>           (initrd-modules (append (list "sdhci_of_arasan")
>                                   %base-initrd-modules)))
>
> Since the on-disk module name uses "-" instead of underscores:
>
>   $ find /gnu/store/*linux-libre* -name '*'arasan.ko
>   /gnu/store/nilzipm6fpicvlzfv1w8yj1j8mm1xlan-linux-libre-4.16.11/lib/modules/4.16.11-gnu/kernel/drivers/mmc/host/sdhci-of-arasan.ko
>
>
> But the loaded module uses "_" in the name:
>
>   $ lsmod | grep arasan
>   sdhci_of_arasan        20480  1
>   cqhci                  24576  1 sdhci_of_arasan
>   sdhci_pltfm            16384  1 sdhci_of_arasan
>   sdhci                  61440  2 sdhci_pltfm,sdhci_of_arasan

I believe this is fixed by 411959bef30b488928ab2418a064c8a9b0347c41.
Let me know if it’s not!

Thanks,
Ludo’.

Subject: Check for initrd-modules fails to detect when loaded module and on-disk module filename differ
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Fri, 25 May 2018 14:14:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The check for initrd-modules does not appear to handle when loaded
modules use underscores (e.g. "sdhci_of_arasan") but the on-disk modules
use dashes (e.g. "sdhci-of-arasan"). Some modules even use a mix of
underscores and dashes, just to keep it interesting.

The workaround is to use --skip-checks, but this may skip other
important checks.

Putting the "sdhci_of_arasan" in my system config, it fails because it
cannot find the kernel module on-disk by that name.

Ideally, it would find some way of mapping the loaded module names to
the on-disk module filenames, and detect appropriately, ideally
allowing either the on-disk filename or the loaded module name in the
config.

In my config:

  (initrd-modules (append (list ... "sdhci-of-arasan" ... ) %base-initrd-modules))

When I run:

  $ sudo -E guix system reconfigure /etc/config.scm

  <unknown location>: error: you may need these modules in the initrd for /dev/mmcblk1p1: sdhci_of_arasan
  hint: Try adding them to the `initrd-modules' field of your `operating-system' declaration, along these
  lines:

        (operating-system
          ;; ...
          (initrd-modules (append (list "sdhci_of_arasan")
                                  %base-initrd-modules)))

Since the on-disk module name uses "-" instead of underscores:

  $ find /gnu/store/*linux-libre* -name '*'arasan.ko
  /gnu/store/nilzipm6fpicvlzfv1w8yj1j8mm1xlan-linux-libre-4.16.11/lib/modules/4.16.11-gnu/kernel/drivers/mmc/host/sdhci-of-arasan.ko

But the loaded module uses "_" in the name:

  $ lsmod | grep arasan
  sdhci_of_arasan        20480  1
  cqhci                  24576  1 sdhci_of_arasan
  sdhci_pltfm            16384  1 sdhci_of_arasan
  sdhci                  61440  2 sdhci_pltfm,sdhci_of_arasan

live well,
  vagrant